import 'package:wiialert/WIIAlertAction.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class WIICancelActionWidget extends StatelessWidget {
  WIIAlertAction _action;

  VoidCallback _tapAction;

  WIICancelActionWidget(this._action, this._tapAction);

  @override
  Widget build(BuildContext context) {
    return new GestureDetector(
      onTap: respondsToGesture,
      child: new Container(
        height: 57,
        child: new Stack(
          children: <Widget>[
            createTitleWidget()
          ],
        ),
      ),
    );
  }

  Widget createTitleWidget() {
    return new Positioned(
      left: 0,
      right: 0,
      top: 0,
      bottom: 0,
      child: new Container(
        color: Colors.white,
        alignment: Alignment.center,
        child: new Text(
          _action.title,
          style: _action.textStyle(20),
        ),
      ),
    );
  }

  void respondsToGesture() {
    if (_action.handler != null) {
      _action.handler(_action);
    }
    if (_tapAction != null) {
      _tapAction();
    }
  }
}