
import 'package:flutter/cupertino.dart';

enum WIIAlertActionStyle {
  defult,
  cancel,
  destructive
}

typedef WIIActionHandler = void Function(WIIAlertAction action);

class WIIAlertAction {

  String title;

  WIIAlertActionStyle style;

  WIIActionHandler handler;

  WIIAlertAction(this.title, this.style, this.handler);

  TextStyle textStyle(double fontSize) {
    if (this.style == WIIAlertActionStyle.destructive) {
      return new TextStyle(
          fontSize: fontSize,
          color: Color(0xFFFF3B30)
      );
    } else if (this.style == WIIAlertActionStyle.cancel) {
      return new TextStyle(
          fontSize: fontSize,
          fontWeight: FontWeight.bold,
          color: Color(0xFF007AFF)
      );
    } else {
      return new TextStyle(
          fontSize: fontSize,
          color: Color(0xFF007AFF)
      );
    }
  }
}
